# VagueType

object VagueType

You can fill this type in the reflection lookup condition as a placeholder.

It is a vague type that you can use when the signature of the JVM type is too long and does not want to declare a type.

Usage:

    public void a(java.lang.String, some.name.like.too.long.Type, int);

Content copied to clipboard

    method {
       name = "a"
       parameters(String::class, VagueType, Int::class)
    }

Content copied to clipboard